TakenAt: 2022-12-15T04:41:48Z
TakenAtLocal: 2022-12-15T12:41:48Z
TakenSrc: meta
UID: pt6941kuimnivpwh
Type: image
Title: Shell / Tabuk / 2022
TimeZone: Asia/Manila
PlaceSrc: meta
Altitude: 182
Lat: 17.422997222222225
Lng: 121.44264166666667
Year: 2022
Month: 12
Day: 15
ISO: 20
Exposure: 1/326
FNumber: 1.8
FocalLength: 28
Quality: 4
Details:
  Keywords: cagayan, car, green, kalinga, philippines, provincial, road, shell, tabuk
  Software: "16.2"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T22:05:44Z
UpdatedAt: 2025-11-24T22:05:44Z
